

import pandas as pd

#laste inn data
all = pd.read_csv('all.csv', sep=';', low_memory=False)

##################################
### Lage tabell for filtrering ###
##################################
konkurs_all = all['bankrupt_fs'].describe()

#Antall obs: 3699633
#fjerne 7 årsregnskap med manglende data
all = all[pd.isnull(all['accounts.accounting_to_date'])==False]
all = all.reset_index(drop=True)
konkurs_all = all['bankrupt_fs'].describe()
#Antall obs: 3699626

#slette årsregnskaper med eiendeler under 500 000
all = all[all['SUM EIENDELER']>=500000]
all = all.reset_index(drop=True)
konkurs_all = all['bankrupt_fs'].describe()
#Antall obs: 2828560

# Fjerner bransjer som ikke skal inkluderes i analysene 
all = all[all['naeringskoder_level_1']!='L'] 
all = all[all['naeringskoder_level_1']!='K'] 
all = all[all['naeringskoder_level_1']!='D'] 
all = all[all['naeringskoder_level_1']!='E'] 
all = all[all['naeringskoder_level_1']!='MISSING'] 
all = all[all['naeringskoder_level_1']!='0'] 
all = all[all['naeringskoder_level_1']!='O'] 
all = all.reset_index(drop=True) 
konkurs_all = all['bankrupt_fs'].describe()
#Antall obs: 1844738

all.to_csv('all_filtrert') 

#Lage tabell med konkurs per regnskapsår
konkurs = all.groupby(['regnaar', 'bankrupt_fs']).size()